ru.bitel.bgbilling.kernel.contract.api.server.bean

## Class ContractTariffGroupDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<ContractTariffGroup>
    - - ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractTariffGroupDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractTariffGroupDao
      extends ru.bitel.common.dao.AbstractIdDao<ContractTariffGroup>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffGroupDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ContractTariffGroup` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ContractTariffGroup>` | `list(int cid, java.util.Date date)` Получение списка всех подключенных тарифных групп для договора, если date==null, или только активных на указанную дату.
    `protected void` | `updateImpl(ContractTariffGroup value)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffGroupDao

          public ContractTariffGroupDao(java.sql.Connection con)

  - ### Method Detail

    - #### list

          public java.util.List<ContractTariffGroup> list(int cid,
                                                          java.util.Date date)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка всех подключенных тарифных групп для договора, если date==null, или только активных на указанную дату.
      Parameters:
        `cid` -
        `date` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ContractTariffGroup getFromRS(java.sql.ResultSet rs)
                                           throws java.sql.SQLException,
                                                  ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractTariffGroup>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractTariffGroup value)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractTariffGroup>`
      Parameters:
        `value` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки